import request from '@/utils/request'

// 查询录取率范围设定列表
export function listMallAcceptRateSetting(query) {
  return request({
    url: '/mall/MallAcceptRateSetting/list',
    method: 'get',
    params: query
  })
}

// 查询录取率范围设定详细
export function getMallAcceptRateSetting(rateMatchId) {
  return request({
    url: '/mall/MallAcceptRateSetting/' + rateMatchId,
    method: 'get'
  })
}

// 新增录取率范围设定
export function addMallAcceptRateSetting(data) {
  return request({
    url: '/mall/MallAcceptRateSetting',
    method: 'post',
    data: data
  })
}

// 修改录取率范围设定
export function updateMallAcceptRateSetting(data) {
  return request({
    url: '/mall/MallAcceptRateSetting',
    method: 'put',
    data: data
  })
}

// 删除录取率范围设定
export function delMallAcceptRateSetting(rateMatchId) {
  return request({
    url: '/mall/MallAcceptRateSetting/' + rateMatchId,
    method: 'delete'
  })
}
